import java.io.PrintStream;
import java.util.Date;

import type.lib.CreditCard;
import type.lib.RewardCard;

/**
 * @author mb
 * 
 */
public class L08App02 {

	public static void main(String[] args) {

		PrintStream output = System.out;
		CreditCard c1, c2;

		c1 = new CreditCard(112233, "Charles Oakley", 5000);
		c2 = new CreditCard(112234, "Tim Duncan", 6000);

		output.println(c1.toString());
		output.println(c2.toString());

		/*
		 * A credit card object is considered similar to another one if it has
		 * the same balance, to the nearest cent, as the other, regardless of
		 * card number. Even if the two cards have different numbers, this
		 * method considers them similar as long as the difference between their
		 * balances is less than 0.01.
		 */
		output.println(c1.isSimilar(c2));

		c1.charge(1000);

		output.println(c1.isSimilar(c2));

	}
}
