import java.io.PrintStream;
import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import type.lib.CreditCard;
import type.lib.RewardCard;

/**
 * @author mb
 * 
 */
public class L08App06 {

	public static void main(String[] args) {

		PrintStream output = System.out;
		CreditCard c1, c2;

		c1 = new RewardCard(112233, "Charles Oakley", 5000);
		c2 = new CreditCard(112234, "Tim Duncan", 6000);

		Set<CreditCard> set = new HashSet<CreditCard>();
		set.add(c1);
		set.add(c2);

		for (CreditCard c : set) {
			output.println(c.toString());
		}

		/*
		 * Take home point: the toString() method in the for loop is polymorphic
		 * in the same way as described in L07App05 !!! Except in this example,
		 * our variable is c, which has a local scope only within the for loop.
		 * We cannot examine the code to see the type of the assigned object -
		 * we don't know the order in which the elements will be returned by the
		 * iterator
		 */
	}
}
