import java.io.PrintStream;
import java.util.Date;

import type.lib.CreditCard;
import type.lib.RewardCard;

/**
 * @author mb
 * 
 */
public class L08App04 {

	public static void main(String[] args) {

		PrintStream output = System.out;
		RewardCard c1, c2;

		c1 = new RewardCard(112233, "Charles Oakley", 5000);
		c2 = new RewardCard(112234, "Tim Duncan", 6000);

		output.println(c1.toString());
		output.println(c2.toString());

		/*
		 * A reward card object is considered similar to another one if it has
		 * the same dollar balance (to the nearest cent) and the same point
		 * balance as this one, regardless of card number. Even if the two cards
		 * have different numbers, this method considers them similar as long as
		 * the difference between their dollar balances is less than 0.01 and
		 * the difference between their point balances is zero.
		 */
		output.println(c1.isSimilar(c2));

		c1.charge(1000);
		c1.pay(1000);
		output.println(c1.toString());
		output.println(c2.toString());
		output.println(c1.isSimilar(c2));
		
		c1.redeem(50);
		output.println(c1.toString());
		output.println(c2.toString());
		output.println(c1.isSimilar(c2));


	}
}
