import img.Picture;

import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.Shape;
import java.awt.geom.Ellipse2D;
import java.awt.geom.Rectangle2D;
import java.awt.geom.RectangularShape;
import java.io.PrintStream;
import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import type.lib.CreditCard;
import type.lib.RewardCard;

/**
 * @author mb
 * 
 */
public class L08App07 {

	public static void main(String[] args) {

		PrintStream output = System.out;
		final int DIM = 300;
		final int OFFSET = 20;

		Ellipse2D.Double s1 = new Ellipse2D.Double(DIM / 2, DIM / 2, DIM / 10,
				DIM / 10);
		Ellipse2D s2 = new Ellipse2D.Double(DIM / 2 + OFFSET, DIM / 2,
				DIM / 10, DIM / 10);
		RectangularShape s3 = new Ellipse2D.Double(DIM / 2, DIM / 2 + OFFSET,
				DIM / 10, DIM / 10);
		Shape s4 = new Rectangle2D.Double(DIM / 2 + OFFSET, DIM / 2 + OFFSET,
				DIM / 10, DIM / 10);

		Picture myPict = new Picture(DIM, DIM);
		myPict.show();

		Graphics2D graphicsObject = myPict.getGraphics2D();
		graphicsObject.setPaint(Color.BLACK);
		// graphicsObject.draw(s1);
		// graphicsObject.setPaint(Color.RED);
		// graphicsObject.draw(s2);
		// graphicsObject.setPaint(Color.GREEN);
		// graphicsObject.draw(s3);
		// graphicsObject.setPaint(Color.BLUE);
		// graphicsObject.draw(s4);

		// or
		Set<Shape> set = new HashSet<Shape>();
		set.add(s1);
		set.add(s2);
		set.add(s3);
		set.add(s4);

		for (Shape s : set) {
			if (s instanceof Rectangle2D) {
				graphicsObject.fill(s);
			} else {
				graphicsObject.draw(s);
			}
		}

	}
}
